public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: selinux-policy/switcheroo-control-and-similar: Adjust subtest relevancy
Date: Fri, 11 Sep 2026 13:23:33 GMT [thread overview]
Message-ID: <178913301355.1.2217667175882777784.tests-selinux-ac9d3e14dd3d@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : ac9d3e14dd3dfa1fc93e93d1d6cda243d0eff37a
Author : Stepan Broz <sbroz@redhat.com>
Date : 2026-02-23T13:14:09+00:00
Stats : +6/-4 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/ac9d3e14dd3dfa1fc93e93d1d6cda243d0eff37a?branch=pr775-checkpolicy-revdeps
Log:
selinux-policy/switcheroo-control-and-similar: Adjust subtest relevancy
RHEL-93335 fixed in RHEL-9.7
RHEL-93535 fixed in RHEL-10.1
Do not test for lower versions.
---
diff --git a/selinux-policy/switcheroo-control-and-similar/runtest.sh b/selinux-policy/switcheroo-control-and-similar/runtest.sh
index f95007b..3d972e1 100755
--- a/selinux-policy/switcheroo-control-and-similar/runtest.sh
+++ b/selinux-policy/switcheroo-control-and-similar/runtest.sh
@@ -80,10 +80,12 @@ rlJournalStart
rlSESearchRule "allow switcheroo_control_t unconfined_t : dbus { send_msg } [ ]"
rlPhaseEnd
- rlPhaseStartTest "RHEL-93335 + RHEL-93535"
- rlSESearchRule "allow xdm_t switcheroo_control_t : dbus { send_msg } [ ]"
- rlSESearchRule "allow switcheroo_control_t xdm_t : dbus { send_msg } [ ]"
- rlPhaseEnd
+ if ! rlIsRHEL "<9.7" && ! ( rlIsRHEL 10 && rlIsRHEL "<10.1" ); then
+ rlPhaseStartTest "RHEL-93335 + RHEL-93535"
+ rlSESearchRule "allow xdm_t switcheroo_control_t : dbus { send_msg } [ ]"
+ rlSESearchRule "allow switcheroo_control_t xdm_t : dbus { send_msg } [ ]"
+ rlPhaseEnd
+ fi
fi
if [ -f /usr/lib/systemd/system/${SERVICE_NAME}.service ] ; then
reply other threads:[~2026-09-11 13:23 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913301355.1.2217667175882777784.tests-selinux-ac9d3e14dd3d@fedoraproject.org \
--to=sbroz@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox